-----------------------------------------------------------------------------
-- Demo unit test for iuptree2.wlua
--
-- @release 0.0.0
-----------------------------------------------------------------------------
local testIup = require('btd.lua.testiup')

TestIupTree2Old = {}

function TestIupTree2Old:setUp()
    dofile('btd/lua/test/iuptree2.wlua')
end

function TestIupTree2Old:test_createOldStyle()
    local function idleLoop(t)
        return function()
            if (os.clock() - t) < 2 then return iup.DEFAULT else return iup.CLOSE end
        end
    end
    assertEquals(tree.name0,'Animals')
    assertEquals(tree.name1,'Mammals')
    assertEquals(tree.name2,'Horse')
    assertEquals(tree.name3,'Whale')
    assertEquals(tree.name4,'Crustaceans')
    assertEquals(tree.name5,'Shrimp')
    assertEquals(tree.name6,'Lobster')
    assertEquals(tree.state0,'EXPANDED')
    assertEquals(tree.state1,'EXPANDED')
    assertEquals(tree.state4,'EXPANDED')
    local t = os.clock() -- let's give ourselves 2 s to close the 'Crustaceans' branch
    testIup.iupLoop(idleLoop(t))
    assertEquals(tree.state4,'COLLAPSED')
    assertError(error,'an error')
end

